> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Action Configuration

> Creates an action configuration from an action code.



## OpenAPI

````yaml management-api POST /action-configurations
openapi: 3.1.0
info:
  description: Authsignal's Management API
  version: 1.0.0
  title: Management Api
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/management
    description: Authsignal's US (Oregon) Management API
  - url: https://au.api.authsignal.com/v1/management
    description: Authsignal's AU (Sydney) Management API
  - url: https://eu.api.authsignal.com/v1/management
    description: Authsignal's EU (Ireland) Management API
  - url: https://ca.api.authsignal.com/v1/management
    description: Authsignal's CA (Montreal) Management API
security:
  - basicAuth: []
tags:
  - name: Tenant
    description: Endpoints related to the configuration of a tenant.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Action Configurations
    description: Endpoints related to the configuration of action configurations.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Rules
    description: Endpoints related to the configuration of rules.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Theme
    description: Endpoints related to the configuration of a Tenant's theme.
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /action-configurations:
    post:
      tags:
        - Action Configurations
      summary: Create Action Configuration
      description: Creates an action configuration from an action code.
      operationId: createActionConfiguration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateActionConfigurationBody'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionConfigurationResponseBody'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CreateActionConfigurationBody:
      type: object
      properties:
        actionCode:
          type: string
        defaultUserActionResult:
          type: string
          enum:
            - ALLOW
            - BLOCK
            - CHALLENGE
            - REVIEW
        messagingTemplates:
          type: object
        verificationMethods:
          type: array
          items:
            type: string
            enum:
              - SMS
              - AUTHENTICATOR_APP
              - RECOVERY_CODE
              - EMAIL_MAGIC_LINK
              - EMAIL_OTP
              - PUSH
              - DEVICE
              - SECURITY_KEY
              - PASSKEY
              - VERIFF
              - IPROOV
              - PALM_BIOMETRICS_RR
          minItems: 1
        promptToEnrollVerificationMethods:
          type: array
          items:
            type: string
            enum:
              - PASSKEY
          minItems: 1
        defaultVerificationMethod:
          type: string
          enum:
            - SMS
            - AUTHENTICATOR_APP
            - RECOVERY_CODE
            - EMAIL_MAGIC_LINK
            - EMAIL_OTP
            - PUSH
            - DEVICE
            - SECURITY_KEY
            - PASSKEY
            - VERIFF
            - IPROOV
            - PALM_BIOMETRICS_RR
        verificationWebhookUrl:
          type: string
          format: uri
          description: >-
            Webhook URL to receive a synchronous `action.verify` event after the
            challenge is verified. The webhook can be used to trigger additional
            tasks. See the [`action.verify` event
            schema](/advanced-usage/webhooks/events-schema#action-verify).
      required:
        - actionCode
        - defaultUserActionResult
    ActionConfigurationResponseBody:
      type: object
      properties:
        lastActionCreatedAt:
          type: string
        actionCode:
          type: string
        tenantId:
          type: string
        defaultUserActionResult:
          type: string
          enum:
            - ALLOW
            - BLOCK
            - CHALLENGE
            - REVIEW
        messagingTemplates:
          type: object
        verificationMethods:
          type: array
          items:
            type: string
            enum:
              - SMS
              - AUTHENTICATOR_APP
              - RECOVERY_CODE
              - EMAIL_MAGIC_LINK
              - EMAIL_OTP
              - PUSH
              - DEVICE
              - SECURITY_KEY
              - PASSKEY
              - VERIFF
              - IPROOV
              - PALM_BIOMETRICS_RR
          minItems: 1
        promptToEnrollVerificationMethods:
          type: array
          items:
            type: string
            enum:
              - PASSKEY
          minItems: 1
        defaultVerificationMethod:
          type: string
          enum:
            - SMS
            - AUTHENTICATOR_APP
            - RECOVERY_CODE
            - EMAIL_MAGIC_LINK
            - EMAIL_OTP
            - PUSH
            - DEVICE
            - SECURITY_KEY
            - PASSKEY
            - VERIFF
            - IPROOV
            - PALM_BIOMETRICS_RR
        verificationWebhookUrl:
          type: string
          format: uri
          description: >-
            Webhook URL to receive a synchronous `action.verify` event after the
            challenge is verified. The webhook can be used to trigger additional
            tasks. See the [`action.verify` event
            schema](/advanced-usage/webhooks/events-schema#action-verify).
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >-
        Use your Authsignal Management API secret key as the username and leave
        the password empty. This key is different from the Server API key and
        can be found in the API Keys section of the Authsignal Portal settings
        page.

````